> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new evaluation run



## OpenAPI

````yaml post /runs
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /runs:
    post:
      tags:
        - Runs
      summary: Create a new evaluation run
      operationId: createRun
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRunRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRunResponse'
        '400':
          description: Invalid input
      x-codeSamples:
        - lang: python
          label: createRun
          source: |-
            import honeyhive
            from honeyhive.models import components

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.runs.create_run(request=components.CreateRunRequest(
                project='<value>',
                name='<value>',
                event_ids=[
                    '1b590040-fd4d-40db-a8d8-d6e550cfa9f3',
                ],
            ))

            if res.create_run_response is not None:
                # handle response
                pass
        - lang: typescript
          label: createRun
          source: |-
            import { HoneyHive } from "honeyhive";
            import { Status } from "honeyhive/dist/models/components";

            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });

              const res = await sdk.runs.createRun({
                project: "<value>",
                name: "<value>",
                eventIds: [
                  "1b590040-fd4d-40db-a8d8-d6e550cfa9f3",
                ],
                datapointIds: [
                  "<value>",
                ],
                configuration: {
                  "key": "<value>",
                },
                metadata: {
                  "key": "<value>",
                },
              });

              if (res.statusCode == 200) {
                // handle response
              }
            }

            run();
components:
  schemas:
    CreateRunRequest:
      type: object
      required:
        - project
        - name
        - event_ids
      properties:
        project:
          type: string
          description: The UUID of the project this run is associated with
        name:
          type: string
          description: The name of the run to be displayed
        event_ids:
          type: array
          description: The UUIDs of the sessions/events this run is associated with
          items:
            $ref: '#/components/schemas/UUIDType'
        dataset_id:
          type: string
          description: The UUID of the dataset this run is associated with
        datapoint_ids:
          type: array
          description: >-
            The UUIDs of the datapoints from the original dataset this run is
            associated with
          items:
            type: string
        configuration:
          type: object
          description: The configuration being used for this run
          additionalProperties: true
        metadata:
          type: object
          description: Additional metadata for the run
          additionalProperties: true
        status:
          type: string
          enum:
            - pending
            - completed
          description: The status of the run
    CreateRunResponse:
      type: object
      properties:
        evaluation:
          $ref: '#/components/schemas/EvaluationRun'
          description: The evaluation run created
        run_id:
          $ref: '#/components/schemas/UUIDType'
          description: The UUID of the run created
    UUIDType:
      type: string
      format: uuid
    EvaluationRun:
      type: object
      properties:
        run_id:
          $ref: '#/components/schemas/UUIDType'
          description: The UUID of the run
        project:
          type: string
          description: The UUID of the project this run is associated with
        created_at:
          type: string
          format: date-time
          description: The date and time the run was created
        event_ids:
          type: array
          description: The UUIDs of the sessions/events this run is associated with
          items:
            $ref: '#/components/schemas/UUIDType'
        dataset_id:
          type: string
          description: The UUID of the dataset this run is associated with
          nullable: true
        datapoint_ids:
          type: array
          description: >-
            The UUIDs of the datapoints from the original dataset this run is
            associated with
          items:
            type: string
        results:
          type: object
          description: >-
            The results of the evaluation (including pass/fails and metric
            aggregations)
        configuration:
          type: object
          description: The configuration being used for this run
          additionalProperties: true
        metadata:
          type: object
          description: Additional metadata for the run
          additionalProperties: true
        status:
          type: string
          enum:
            - pending
            - completed
        name:
          type: string
          description: The name of the run to be displayed
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````